### Function

# RB list_destroy_free

#### Declaration [src]

    void
    rb_list_destroy_free (
      GList* list,
      GDestroyNotify destroyer
    )

#### Description [src]

Calls `destroyer` for each element in `list`, then frees `list`.

This function is not directly available to language bindings.

#### Parameters

`list`

  Type: A list of `gpointer`

  List to destroy.

  The data is owned by the caller of the function.

`destroyer`

  Type: `GDestroyNotify`

  Function to call to free elements of `list`.